<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content" >

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical" >

        <TextView
            android:id="@+id/MSDC_Host_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/NEW_MSDC_HOST" >
        </TextView>

        <Spinner
            android:id="@+id/NEW_MSDC_HOST_sppiner"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="10dip" >
        </Spinner>

        <TextView
            android:id="@+id/MSDC_Clk_pu_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/NEW_MSDC_CLK" >
        </TextView>

        <Spinner
            android:id="@+id/MSDC_Clk_pu_spinner"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="2dip" >
        </Spinner>

        <TextView
            android:id="@+id/MSDC_Cmd_pu_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/NEW_MSDC_CMD" >
        </TextView>

        <Spinner
            android:id="@+id/MSDC_cmd_pu_spinner"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="2dip" >
        </Spinner>

        <TextView
            android:id="@+id/MSDC_Data_pu_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/NEW_MSDC_DATA" >
        </TextView>

        <Spinner
            android:id="@+id/MSDC_data_pu_spinner"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="2dip" >
        </Spinner>

        <TextView
            android:id="@+id/MSDC_Voltage_pu_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/NEW_MSDC_VOLTAGE" >
        </TextView>

        <Spinner
            android:id="@+id/MSDC_voltage_pu_spinner"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="2dip" >
        </Spinner>
        <View
            android:layout_width="240dip"
            android:layout_height="1dip"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="20dip"
            android:background="#FF909090" >
        </View>

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dip"
            android:orientation="horizontal" >

            <Button
                android:id="@+id/NEW_MSDC_Get"
                android:layout_width="110dip"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dip"
                android:layout_marginTop="10dip"
                android:text="@string/NEW_MSDC_Get" >
            </Button>

            <Button
                android:id="@+id/NEW_MSDC_Set"
                android:layout_width="110dip"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dip"
                android:layout_marginTop="10dip"
                android:text="@string/NEW_MSDC_Set" >
            </Button>
        </LinearLayout>

        <View
            android:layout_width="240dip"
            android:layout_height="1dip"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="20dip"
            android:background="#FF909090"/>
        <TextView
            android:id="@+id/MSDC_result_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="0dip"
            android:layout_marginTop="10dip"
            android:text="@string/msdc_result" >
        </TextView>

        <TextView
            android:id="@+id/MSDC_result_text"
            android:layout_width="240dip"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dip"
            android:layout_marginTop="2dip" >
        </TextView>
    </LinearLayout>
</ScrollView>